<?php

namespace Drupal\open_lms_quiz\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for Quiz Submission edit forms.
 *
 * @ingroup open_lms_quiz
 */
class QuizSubmissionForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    /* @var $entity \Drupal\open_lms_quiz\Entity\QuizSubmission */
    $form = parent::buildForm($form, $form_state);

    $entity = $this->entity;

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;

    $status = parent::save($form, $form_state);

    switch ($status) {
      case SAVED_NEW:
        drupal_set_message($this->t('Created the %label Quiz Submission.', [
          '%label' => $entity->label(),
        ]));
        break;

      default:
        drupal_set_message($this->t('Saved the %label Quiz Submission.', [
          '%label' => $entity->label(),
        ]));
    }
    $form_state->setRedirect('entity.quiz_submission.canonical', ['quiz_submission' => $entity->id()]);
  }

}
