<?php

namespace Drupal\open_lms_quiz;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Defines a class to build a listing of Quiz Submission entities.
 *
 * @ingroup open_lms_quiz
 */
class QuizSubmissionListBuilder extends EntityListBuilder {


  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['id'] = $this->t('Quiz Submission ID');
    $header['name'] = $this->t('Name');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\open_lms_quiz\Entity\QuizSubmission */
    $row['id'] = $entity->id();
    $row['name'] = Link::createFromRoute(
      $entity->label(),
      'entity.quiz_submission.edit_form',
      ['quiz_submission' => $entity->id()]
    );
    return $row + parent::buildRow($entity);
  }

}
